//
// Chastity Roulette (Alternative version)
//
// by dotdot
//
// A rewrite of Chastity Roulette by NRB
//
// This script, from https://ss.deviatenow.com, is protected by this licence :
// CC by-NC, see http://creativecommons.org/licenses/by-nc/3.0/
//
// Version 2.50-alt 
//
// Version History:
// 1.0-alt		First release
// 1.01-alt		Different way to detect original script so Android works too
// 2.00-alt		Store details, only ask them when needed and added settings-menu so they can be changed
//				Added optional limits
//				Bug fixed: Math went weird after 2038
// 2.01-alt		Bug fixed: Forgot holidays
// 2.50-alt		Bug fixed: Different way of calculating holidays. Hopefully fixes android.
//				Added optional visibility during play
//

setInfos(9, "ChastityRouletteAlt", "Alternative version of Chastity Roulette", "dotdot, NRB", "v2.50-alt", 0xFFFFFF, "en", ["chastity","game"]);

def debug = 0

// The magic numbers below are unique. If you add a picture with the same amount of days
// as the number change it to another number that is unique.
def CID = 121		// Magic number

// If you change any of the following, make sure they stay one number apart
def DI2 = 122		// Divide by 2
def DI3 = 123		// Divide by 3
def DI4 = 124		// Divide by 4

// If you change any of the following, make sure they stay one number apart
def MU2 = 125		// Multiply by 2
def MU3 = 126		// Multiply by 3
def MU4 = 127		// Multiply by 4

// the amount of days in the pictures, or one of the magic numbers for a special action
def pics=[
		    5, -7,150,CID,  3, 60, 21, 10,  6,270, //   1 -  10
		  300, 23,  2, 16,  9,730,DI2, 42,  6, 42, //  11 -  20
		    3,CID, 13,  7,MU3,  2, 14, 14,  8,  5, //  21 -  30
			5,180,  7, 10, 42, 21,CID, 28,DI2, 30, //  31 -  40
			0,  4,  7, 24, 33, 28,  4, 18,CID, 42, //  41 -  50
		   21, 15,  5,  3,  9, 10, 27,  8,100,180, //  51 -  60
		    3,  6,  1, 18, 28,365,  8, 21, 21,  7, //  61 -  70
		   34,  6,  5, 19, 17,CID,  9, 42,CID, 11, //  71 -  80
		  120, 14,CID, 14,DI2, 21,180, 21, 49,  7, //  81 -  90
		    4,CID,180, 21, 14,180, 40, 13,  7, 17, //  91 - 100
		   12,  4, 11,  8, 20,DI4, 48, 10,CID, 30, // 101 - 110
		  CID,  7, 11, 14,  1, 22, 20,  7, 19,  0, // 111 - 120
		  180,  9,120, 37,100,  0,365, 21, 30, 14, // 121 - 130
		   75,CID,CID,  5,  8,  2,CID, 13,  7, 13, // 131 - 140
		    7,  6, 49,  2,  7,180, 21, 14, 56,  5, // 141 - 150
			6,CID,  5,  1,  2,180, 28,CID,  7, 25, // 151 - 160
		   14,  4,180,MU2, 10, 12, 99, 50, 90, 60, // 161 - 170
		    3,  2, 22,  6, 42,365, 14,CID,DI3,730, // 171 - 180
		  180,  3,  1, 25,MU2, 69,180,  6,  5, 14, // 181 - 190
		    3, 30, 63,CID, 19,  1, 14,  7,150, 44, // 191 - 200
		   21, 35,CID,CID, 14,  3, 60, 30,CID,  7, // 201 - 210
		    8, 30,  0,  7,  7,CID,CID, 30, 60,240, // 211 - 220
		  DI2,CID, 30, 12,  8, 12, 21, 18, 35, 28, // 221 - 230
		   30, 28,  8,270, 22, 15, 28, 10,CID,  9, // 231 - 240
		  CID,120,CID,  2, 19, 33, 35,DI2,  8, 14, // 241 - 250
		  240, 30,210, 15, 69,CID, 28, 60,CID, 13, // 251 - 260
		   69, 90, 24, 60,  7, 30, 42,DI2, 69,240, // 261 - 270
		  120, 56, 22,  5,  6,  3,  0,  9,CID, 90, // 271 - 280
		  CID,  2,  7,  7, 17,CID,CID, 90,  8,  6, // 281 - 290
		  CID,  1,CID,  1,  4, 90,  3, 21,  6,CID, // 291 - 300
		  CID,270, 16,  0,  1,  2,MU2, 30, 55, 30, // 301 - 310
		   21,  1,CID, 50,  2, 14, 12,  4,CID, 16, // 311 - 320
		  CID, 30,CID,  2,  9, 16,  4,  4, 30,CID, // 321 - 330
		  CID, 13,  1,CID,  3,DI4,365, 14,  6	   // 331 - 339
		]

// stack to store spins and multipliers
def cntstack = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]
def cntSP=0		// stack-pointer to current position

// This function adds a value from the stack
def cntPushd = { value ->
	cntstack[cntSP++]=value
}

// This function retrieves a value from the stack
def cntPopd = {
	def value=cntstack[--cntSP]
	return value
}

def long OldTotal = 0	// Total amount of days
def long Total = 0		// Total amount of days
def ImageNumber = 0		// Picture chosen
def TotalSpins = 0		// Total amount of spins to do
def CompleteSpins = 0	// Amount of completed spins
def today = new Date()	// Determine today
def weekday = today.day // Store the day of the week
def Age	= 0				// Age of contestant
def Weight = 0			// Weight of contestant
def LastOrgasm = 0		// Days since last orgasm
def PSize = 0			// Size of erection
def MinDays = -1		// Limit of minimum amount of days
def MaxDays = -1		// Limit of maximum amount of days
def MaxMultiplier = -1.0	// Limit of maximum multiplier value
def MaxdSpin = -1		// Limit of maximum amount of days per spin
def Holiday = new Date()// Date-variable used to determine holidays
def Holidays = 0		// Number of days to a holiday / also used as temp variable
def Menu = 1			// Show the menus
def Spins = 0			// Amount of spins to perform

def VisPics = 1			// Are pictures visible? (1 = yes, otherwise no)
def VisDays = 1			// Number of days visible? (1 = yes, otherwise no)
def VisDate = 1			// Is date visible? (1 = yes, otherwise no)
def VisCurSpin = 1		// Visibility of current spin (1 = yes, otherwise no)
def VisTotSpin = 1		// Visibility of total spins (1 = yes, otherwise no)
def VisMult = 1			// Visiblity of multiplier (1 = yes, otherwise no)

def getAge = {
	// load stored age
	def number = loadInteger("ChastityRouletteAlt.age")
	// If nothing stored, or number is too small, ask age and save it
	if (number<18)
	{
	 number = getInteger("How old are you?", 30);
	 save("ChastityRouletteAlt.age",number)
	}
	return number
}

def getWeight = {
	// load stored weight
	def number = loadInteger("ChastityRouletteAlt.weight")
	// If nothing stored, or number is too small, ask weight and save it
	if (number<50)
	{
	 number = getInteger("How many pounds do you weigh?", 250);
	 save("ChastityRouletteAlt.weight",number)
	}
	return number
}

def getOrgasm = {
	// load stored days since last orgasm
	def number = loadInteger("ChastityRouletteAlt.lastorgasm")
	// If nothing stored, ask days and save it
	if (!number)
	{
	 number = getInteger("How many days since your last full orgasm?", 5);
	 save("ChastityRouletteAlt.lastorgasm",number)
	}
	return number
}

def getPSize = {
	// load size of erection
	def number = loadInteger("ChastityRouletteAlt.psize")
	// If nothing stored, ask days and save it
	if (!number)
	{
	 number = getInteger("How many inches is your erection?", 5);
	 save("ChastityRouletteAlt.psize",number)
	}
	return number
}

def getHolidays = { year, month, day ->
	def days = 0
	// set date of holiday
	def holiday=new Date().copyWith(year: year,month: month-1,dayOfMonth: day)
	// Count days between holiday and current locked date
	days=holiday-(today+(int)Total)
	// If its today or already passed this year, add a year
	if (days <= 0 ) {
		holiday=new Date().copyWith(year: year+1,month: month-1,dayOfMonth: day)
		// and count again
		days=holiday-(today+(int)Total)
	}
	return days
}

	// Start of main routine
	
	// Verify ChastityRoulette has been run at least once
	Holidays = loadString("ChastityRoulette.launch.nb")
	if (!Holidays)
	{
	 show("Sorry, you need to download/import/install the script ChastityRoulette by NRB first to use this script.\nAlso, make sure to run it at least once.\n\n(This script needs and uses the images from it.)")
	 return
	}

	// Keep showing menu until start
	while (Menu)
	{
		// Show menu and ask choice
		setImage("ChastityRoulette/start.jpg")
		switch(getSelectedValue("Welcome to Chastity Roulette, credit for the images goes to This Little Piggy from https://chastityroulette.bdsmlr.com/ \nCredit also goes to NRB for writing the original script\nThis alternate version 2.50-alt of ChastityRoulette is written by dotdot.\n\nThe idea of this script is that it will randomize chastity duration. Please choose start, settings or limits.",["Start","Settings","Limits","Visibility"]))
		{
		case 0:	// Start
			Menu = 0	// Leave menu
			// But before leaving, ask how many spins to perform
			Spins = getInteger("How many spins do you want to perform? Be careful multipliers and additional spins can make it add up fast.",5)
			break;
		case 1:	// Settings
			// Settings submenu. We reuse the Menu-variable because it is a known value
			while (Menu)
			{
				// Show settings
				switch(getSelectedValue("Please choose what you'd like to change, or back to go back",["Age","Weight","Days since orgasm","Size","Back"]))
				{
				 case 0:
					// Age. Load value and if not stored yet, set a default value
				 	Age = loadInteger("ChastityRouletteAlt.age")
					if (!Age) Age = 30
					// Ask age and store value
					Age = getInteger("How old are you?", Age);
					save("ChastityRouletteAlt.age",Age)
					break;
				 case 1:
					// Weight. Load value and if not stored yet, set a default value
				 	Weight = loadInteger("ChastityRouletteAlt.weight")
					if (!Weight) Weight = 250
					// Ask weight and store value
					Weight = getInteger("How many pounds do you weigh?", Weight);
					save("ChastityRouletteAlt.weight",Weight)
					break;
				 case 2:
					// Days since last orgasm. Load value and if not stored yet, set a default value
				 	LastOrgasm = loadInteger("ChastityRouletteAlt.lastorgasm")
					if (!LastOrgasm) LastOrgasm = 5
					// Ask amount of days and store value
					LastOrgasm = getInteger("How many days since your last full orgasm?", LastOrgasm);
					save("ChastityRouletteAlt.lastorgasm",LastOrgasm)
					break;
				 case 3:
					// Size of erection. Load value and if not stored yet, set a default value
				 	PSize = loadInteger("ChastityRouletteAlt.psize")
					if (!PSize) PSize = 5
					// Ask size and store value
					PSize = getInteger("How many inches is your erection?", PSize);
					save("ChastityRouletteAlt.psize",PSize)
					break;
				 case 4:	// Leave menu
					Menu = 0
					break
				}
			}
			// Now that we left the menu, we have to reset the Menu variable so the main-menu will show
			Menu = 1
			break
		case 2:	// Limits
			// Limits submenu. We reuse the Menu-variable because it is a known value
			while (Menu)
			{
				// Show Limits
				switch(getSelectedValue("Limits\n\nMinimum days: "+(MinDays==-1?"Not set":MinDays)+"\nMaximum days: "+(MaxDays==-1?"Not set":MaxDays)+"\nMaximum Multiplier:"+(MaxMultiplier==-1?"Not set":MaxMultiplier)+"\nMax days per spin: "+(MaxdSpin==-1?"Not set":MaxdSpin)+"\n\nPlease choose what you'd like to change, or back to go back",["Min Days","Max days","Max Multiplier","Max per spin","Reset to default","Back"]))
				{
				 case 0:
					// Minimum days. If it was not set, change it to 0 for show
					if (MinDays<0) MinDays = 0
					// Ask for the minimum amount of days
					MinDays = getInteger("Please enter the minimum mount of days to lock up.", MinDays)
					// If an invalid value was entered, 'unset' it.
					if (MinDays<0) MinDays = -1
					break;
				 case 1:
					// Maximum days. If it was not set, change it to 0 for show
					if (MaxDays<0) MaxDays = 0
					// Ask for the maximum amount of days
					MaxDays = getInteger("Please enter the maximum amount of days to lock up.", MaxDays)
					// If an invalid value was entered, 'unset' it.
					if (MaxDays<0) MaxDays = -1
					break;
				 case 2:
					// Maximum multiplier. If it was not set, change it to 0 for show
					if (MaxMultiplier<0) MaxMultiplier = 0
					// Ask for the maximum multiplier to use
					MaxMultiplier = getString("Please enter the maximum multiplier.", MaxMultiplier)
					// We want to allow values of 0.1 etc so verify it is actually a number
					if (!MaxMultiplier.isNumber())
						MaxMultiplier = -1			// Not a number so unset it.
					else
						MaxMultiplier=MaxMultiplier.toDouble()	// Set to number entered

					// If an invalid value was entered, 'unset' it.
					if (MaxMultiplier<0) MaxMultiplier = -1
					break;
				 case 3:
					// Maximum days per spin. If it was not set, change it to 0 for show
					if (MaxdSpin<0) MaxdSpin = 0
					// Ask for the maximum days per spin to use
					MaxdSpin = getInteger("Please enter the maximum days per spin.", MaxdSpin)
					// If an invalid value was entered, 'unset' it.
					if (MaxdSpin<0) MaxdSpin = -1
					break;
				 case 4:
					// reset all values to the magic '-1' meaning not set
					MinDays = MaxDays = MaxMultiplier = MaxdSpin = -1
					break;
				 case 5:	// Leave menu
					Menu = 0
					break
				}
			}
			// Now that we left the menu, we have to reset the Menu variable so the main-menu will show
			Menu = 1
			break
		case 3: // Visiblity
			// Visibility submenu. We reuse the Menu-variable because it is a known value
			while (Menu)
			{
				// Show Visibility
				// Show Limits
				switch(getSelectedValue("Visibility\n\nPictures: "+(VisPics?"Yes":"No")+"\nNumber of days: "+(VisDays?"Yes":"No")+"\nDate: "+(VisDate?"Yes":"No")+"\nCurrent spin: "+(VisCurSpin?"Yes":"No")+"\nTotal spins: "+(VisTotSpin?"Yes":"No")+"\nMultiplier: "+(VisMult?"Yes":"No")+"\n\nPlease choose what you'd like to change, or back to go back",["Pictures","Days","Date","Current Spin","Total spins","Multiplier","Reset to default","Back"]))
				{
				 case 0:	// Visibility of Pictures
					VisPics=!VisPics
					break;
				 case 1:	// Visibility of Number of days
					VisDays=!VisDays
					break;
				 case 2:	// Visibility of Date
					VisDate=!VisDate
					break;
				 case 3:	// Visibility of Number of current spin
					VisCurSpin=!VisCurSpin
					break;
				 case 4:	// Visibility of Number of total spins
					VisTotSpin=!VisTotSpin
					break;
				 case 5:	// Visibility of Multiplier
					VisMult=!VisMult
					break;
				 case 6:	// Reset to default
					// reset all values to the value 1 meaning visible
					VisPics = VisDays = VisDate = VisCurSpin = VisTotSpin = VisMult = 1
					break;
				 case 7:	// Leave menu
				 default:
					Menu = 0
					break
				}
			}
			// Now that we left the menu, we have to reset the Menu variable so the main-menu will show
			Menu = 1
			break
		}
	}

	def Multiplier = 1
	
	cntPushd(Spins)
	cntPushd(Multiplier)

	TotalSpins=Spins

while (cntSP>0){		// Do as long as there are spins on the stack

	// Store old total
	OldTotal = Total

	// Retrieve current multiplier and spins
	Multiplier = cntPopd()
	Spins = cntPopd()

	// If there is a maximum multiplier and the multiplier is above it, adjust it
	if (MaxMultiplier != -1 && Multiplier>MaxMultiplier) Multiplier=MaxMultiplier

	if (Spins>1)			// If there is at least one spin left
	{
	 Spins--;				// Take one away
	 cntPushd(Spins)		// Store the current values
	 cntPushd(Multiplier)
	}

	if (debug == 1)							// if we are debugging
		ImageNumber = ImageNumber + 1		// Get next images
	else
		ImageNumber = getRandom(pics.size)	// Choose random image
	
	// Show image if wanted
	if (VisPics)
		setImage("ChastityRoulette/Image ("+(ImageNumber+1)+").jpg")

	// do the right action for the picture
	switch (pics[ImageNumber])
	{
	 // Divide days by 2, 3 or 4 (uses magic number to determine)
	 case DI2:
	 case DI3:
	 case DI4:
		Total=Total/((pics[ImageNumber]-DI2+2)*Multiplier)
		break
	 // Multiply days by 2, 3 or 4 (uses magic number to determine)		
	 case MU2:
	 case MU3:
	 case MU4:
		Total=Total*((pics[ImageNumber]-MU2+2)*Multiplier)
		break
	 // Special pictures start here
	 case CID:
		switch (ImageNumber+1) {
			// Pictures 4, 49 and 330
			case 4:
			case 49:
			case 330:
				TotalSpins=TotalSpins+1		// Add one spin to total spins
				cntPushd(1)					// Store 1 spin
				cntPushd(Multiplier*5)		// With the multipler times 5
				break
			// Picture 22
			case 22:
				TotalSpins=TotalSpins+10	// Add ten spins to total spins
				cntPushd(10)				// Store 10 spins
				cntPushd(Multiplier*3)		// With the multipler times 3
				break
			// Picture 37
			case 37:
				// Get number of days to Halloween for this or next year and add to total
				Total=Total+getHolidays((today+(int)Total).getYear()+1900,10,31)*Multiplier
				break
			// Picture 76
			case 76:
				if (weekday<6)					// Is it a weekday?
					Total=Total+7*Multiplier	// Yes, Add 7 days
				else
					Total=Total+14*Multiplier	// No, Add 14 days
				break
			// Picture 79
			case 79:
				Total=Total+14*Multiplier	// Add 14 days to total days
				TotalSpins=TotalSpins+1		// Add one spin to total spins
				cntPushd(1)					// Store 1 spin
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 83
			case 83:
				Total=Total+19*Multiplier	// Add 19 days to total days
				TotalSpins=TotalSpins+1		// Add one spin to total spins
				cntPushd(1)					// Store 1 spin
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 92
			case 92:
				TotalSpins=TotalSpins+1		// Add one spin to total spins
				cntPushd(1)					// Store 1 spin
				cntPushd(Multiplier*10)		// With the multipler times 10
				break
			// Picture 109
			case 109:
				showButton("Flip")			// Coin-flipping
				Holidays = getRandom(2)		// Use the temp-variable
				if (Holidays == 0) {
					Total=Total+1*Multiplier
					showButton("Heads")	// Heads, add 1 day
				} else {
					Total=Total+30*Multiplier
					showButton("Tails")	// Tails, add 1 month
				}
				break
			// Picture 111
			case 111:
				LastOrgasm = getOrgasm()			// Load days since last orgasm or ask if unknown
				Total=Total+LastOrgasm*Multiplier	// Add days since orgasm to total days
				break
			// Picture 132
			case 132:
				TotalSpins=TotalSpins+3		// Add three spin to total spins
				cntPushd(3)					// Store 3 spins
				cntPushd(Multiplier/2)		// With half the multipler
				break
			// Picture 133
			case 133:
				Total=365*999				// Set total to infinity
				CompleteSpins=TotalSpins-1	// Set spin to last spin
				cntSP=0						// Set stack to empty, this stops the 'game'
				break
			// Picture 137
			case 137:
				Total=Total/(2*Multiplier)	// Divide the total by half
				TotalSpins=TotalSpins+4		// Add four spins to total spins
				cntPushd(4)					// Store 4 spins
				cntPushd(Multiplier)		// With the current multipler
				break	
			// Picture 152
			case 152:
				Total=Total+11*Multiplier	// Add 11 days to total days
				TotalSpins=TotalSpins+1		// Add one spin to total spins
				cntPushd(1)					// Store 1 spin
				cntPushd(Multiplier)		// With the current multipler
				break
			// Pictures 158, 209 and 300
			case 158:
			case 209:
			case 300:
				TotalSpins=TotalSpins+3		// Add three spin to total spins
				cntPushd(3)					// Store 3 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Pictures 178, 222 and 239
			case 178:
			case 222:
			case 239:
				TotalSpins=TotalSpins+10	// Add ten spins to total spins
				cntPushd(10)				// Store 10 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 194
			case 194:
				TotalSpins=TotalSpins+6		// Add six spins to total spins
				cntPushd(6)					// Store 6 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 203
			case 203:
				Age = getAge()				// Load age or ask if not known yet
				Total=Total+Age*Multiplier	// Add age to total days
				break
			// Pictures 204 and 241
			case 204:
			case 241:
				TotalSpins=TotalSpins+15	// Add fifteen spins to total spins
				cntPushd(15)				// Store 15 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Pictures 216 and 321
			case 216:
			case 321:
				TotalSpins=TotalSpins+7		// Add seven spins to total spins
				cntPushd(7)					// Store 7 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Pictures 217 and 287
			case 217:
			case 287:
				TotalSpins=TotalSpins+5		// Add five spins to total spins
				cntPushd(5)					// Store 5 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 243
			case 243:
				TotalSpins=TotalSpins+4		// Add four spins to total spins
				cntPushd(4)					// Store 4 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 256
			case 256:
				// Get number of days to Thanksgiving for this or next year and add to total
				// Fixed date, should really calculate but meh
				Total=Total+getHolidays((today+(int)Total).getYear()+1900,11,26)*Multiplier
				break
			// Picture 259
			case 259:
				Total=Total/(10*Multiplier)	// Divide total days by 10
				break
			// Picture 279
			case 279:
				// Get number of days to Valentinesday for this or next year and add to total
				Total=Total+getHolidays((today+(int)Total).getYear()+1900,2,14)*Multiplier
				break
			// Picture 281
			case 281:
				Total=Total+1*Multiplier	// Add 1 day to total days
				TotalSpins=TotalSpins+1		// Add one spin to total spins
				cntPushd(1)					// Store 1 spin
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 286
			case 286:
				Total=0						// Set total to none
				CompleteSpins=TotalSpins-1	// Set spin to last spin
				cntSP=0						// Set stack to empty, this stops the 'game'
				break
			// Picture 291
			case 291:
				PSize = getPSize()					// Load erectionsize or ask if not known yet	
				Total=Total+PSize*2.54*3*Multiplier	// Add size times 3 to total days
				break				
			// Picture 293
			case 293:
				TotalSpins=TotalSpins+10	// Add ten spin to total spins
				cntPushd(10)				// Store 10 spins
				cntPushd(Multiplier*2)		// With double the multipler
				break
			// Picture 301
			case 301:
				TotalSpins=TotalSpins+8		// Add eight spins to total spins
				cntPushd(8)					// Store 8 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 313
			case 313:
				Weight = getWeight()			// Load weight or ask if not known yet
				Total=Total+Weight*Multiplier	// Add weight to total days
				break		
			// Picture 319
			case 319:
				// Ask for random number
				Holidays = getInteger("Number between 1-365?", getRandom(365)+1 );
				Total=Total+Holidays*Multiplier	// Add number to total days
				break		
			// Picture 323
			case 323:
				Age = getAge()					// Load age or ask if not known yet
				Total=Total+Age*7*Multiplier	// Add age times 7 to total days
				break
			// Picture 331
			case 331:
				Total=Total*2*Multiplier	// Double the total
				TotalSpins=TotalSpins+5		// Add five spins to total spins
				cntPushd(5)					// Store 5 spins
				cntPushd(Multiplier)		// With the current multipler
				break
			// Picture 334
			case 334:
				// Get number of days to Christmas for this or next year and add to total
				Total=Total+getHolidays((today+(int)Total).getYear()+1900,12,25)*Multiplier
				break
		}
		break
	 default:		// Add the number of days stored
		Total=Total+pics[ImageNumber]*Multiplier
		break
	}

	
	// If a maximum is set and the total of this spin is above the maximum, set total
	if (MaxdSpin != -1 && Total-OldTotal>MaxdSpin) Total=OldTotal+MaxdSpin

	CompleteSpins = CompleteSpins + 1
	VisDays?"Yes":"No"
	show((VisDays?Total:"?") + " days ("+"until " + (VisDate?(today + (int)Total):"?") + ")\n" +(VisCurSpin?CompleteSpins:"?") + " Spins of " + (VisTotSpin?TotalSpins:"?") + "\n"  + "\n" + "Current Multiplier: " + (VisMult?Multiplier:"?") )

	if (CompleteSpins < TotalSpins)
		showButton("Spin")
	else
		showButton("Total")
}

// If a minimum is set and the total is below the minimum, adjust the total
if (MinDays != -1 && Total<MinDays) Total=MinDays

// If a maximum is set and the total is above the maximum, adjust the total
if (MaxDays != -1 && Total>MaxDays) Total=MaxDays

setImage("ChastityRoulette/end.jpg")

show(Total + " days\n" + Total/7 + " weeks\n" + Total/30 + " months\n" + Total/365 + " years\nUntil " + (today+(int)Total))

/*
 * Resources
 * scripts/ChastityRouletteAlt.groovy
*/

